package com.sun.xml.internal.ws.assembler.jaxws;

import com.sun.xml.internal.ws.assembler.dev.ServerTubelineAssemblyContext;
import javax.xml.ws.WebServiceException;
import com.sun.xml.internal.ws.api.pipe.Tube;
import com.sun.xml.internal.ws.assembler.dev.ClientTubelineAssemblyContext;
import com.sun.xml.internal.ws.assembler.dev.TubeFactory;

public final class MustUnderstandTubeFactory implements TubeFactory
{
    public MustUnderstandTubeFactory() {
    }
    
    public Tube createTube(ClientTubelineAssemblyContext context) throws WebServiceException {
        return context.getWrappedContext().createClientMUTube(context.getTubelineHead());
    }
    
    public Tube createTube(ServerTubelineAssemblyContext context) throws WebServiceException {
        return context.getWrappedContext().createServerMUTube(context.getTubelineHead());
    }
}
